[Task] Replace ChangesTable orm abstraction with ChangeStore and ChangeLookup
Closed, ResolvedPublic

Description

The ORM-based ChangesTable and EntityChange (and associated colony of stuff) is not very nice and easy to work with.

We want to be able to lookup changes that are relevant to a given site, by joining against the subscriptions table. Such lookup could be part of a ChangeLookup. We could also have in-memory change store / lookup implementation that would make testing easier.

having such replacements would make it easier, nicer and more feasible to fix the change dispatcher filtering (among other related issues)

aude created this task.Sep 1 2015, 3:00 PM
aude updated the task description. (Show Details)
aude raised the priority of this task from to Needs Triage.
aude added projects: Wikidata, Technical-Debt.
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 3:00 PM

we should only put in the change table (info field) the information we really need, and not the whole diff (see T110996 which partially addresses this)

aude triaged this task as High priority.Sep 10 2015, 10:42 AM
aude set Security to None.
aude added a comment.Sep 10 2015, 10:36 PM

see also T110343 which is related and somewhat overlaps

Change 243965 had a related patch set uploaded (by Hoo man):
Move save logic into DatabaseChangeTransmitter

https://gerrit.wikimedia.org/r/243965

hoo claimed this task.Oct 6 2015, 6:25 PM
hoo added a subscriber: hoo.
hoo moved this task from Proposed to Doing on the Wikidata-Sprint-2015-09-29 board.

Change 243965 merged by jenkins-bot:
Move save logic into DatabaseChangeTransmitter

https://gerrit.wikimedia.org/r/243965

Change 244466 had a related patch set uploaded (by Hoo man):
Introduce a basic ChangeLookup

https://gerrit.wikimedia.org/r/244466

Change 244466 merged by jenkins-bot:
Introduce a basic ChangeLookup

https://gerrit.wikimedia.org/r/244466

Change 244587 had a related patch set uploaded (by Hoo man):
Add ChangeLookup::loadByChangeIds and use in ChangeNotificationJob

https://gerrit.wikimedia.org/r/244587

Change 244652 had a related patch set uploaded (by Hoo man):
Remove more usages of ChangesTable

https://gerrit.wikimedia.org/r/244652

Change 244666 had a related patch set uploaded (by Hoo man):
Introduce SqlChangeStore

https://gerrit.wikimedia.org/r/244666

Change 244672 had a related patch set uploaded (by Hoo man):
Remove ChangesTable

https://gerrit.wikimedia.org/r/244672

Change 244587 merged by jenkins-bot:
Add ChangeLookup::loadByChangeIds and use in ChangeNotificationJob

https://gerrit.wikimedia.org/r/244587

Change 244652 merged by jenkins-bot:
Remove more usages of ChangesTable

https://gerrit.wikimedia.org/r/244652

Change 244666 merged by jenkins-bot:
Introduce SqlChangeStore

https://gerrit.wikimedia.org/r/244666

Change 244672 merged by jenkins-bot:
Remove ChangesTable

https://gerrit.wikimedia.org/r/244672

JanZerebecki closed this task as Resolved.Oct 13 2015, 1:22 PM